package com.zbf.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * agv报警信息对象 t_error_log
 *
 * @author tony
 * @date 2024-06-17
 */
@TableName(resultMap = "com.zbf.system.mapper.TErrorLogMapper.TErrorLogResult")
public class TErrorLog extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 故障ID */
    @Excel(name = "故障ID")
    private String errId;

    /** 报警内容 */
    @Excel(name = "报警内容")
    private String errName;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date errDate;

    /** 状态 */
    @Excel(name = "状态")
    private String sts;

    /** 解决时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "解决时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date errEndDate;

    /** agv编号 */
    @Excel(name = "agv编号")
    private String agvId;

    /** agv地址 */
    @Excel(name = "agv地址")
    private String agvLoc;

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setErrId(String errId)
            {
            this.errId = errId;
            }

    public String getErrId()
            {
            return errId;
            }
    public void setErrName(String errName)
            {
            this.errName = errName;
            }

    public String getErrName()
            {
            return errName;
            }
    public void setErrDate(Date errDate)
            {
            this.errDate = errDate;
            }

    public Date getErrDate()
            {
            return errDate;
            }
    public void setSts(String sts)
            {
            this.sts = sts;
            }

    public String getSts()
            {
            return sts;
            }
    public void setErrEndDate(Date errEndDate)
            {
            this.errEndDate = errEndDate;
            }

    public Date getErrEndDate()
            {
            return errEndDate;
            }
    public void setAgvId(String agvId)
            {
            this.agvId = agvId;
            }

    public String getAgvId()
            {
            return agvId;
            }
    public void setAgvLoc(String agvLoc)
            {
            this.agvLoc = agvLoc;
            }

    public String getAgvLoc()
            {
            return agvLoc;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("errId", getErrId())
            .append("errName", getErrName())
            .append("errDate", getErrDate())
            .append("sts", getSts())
            .append("errEndDate", getErrEndDate())
            .append("agvId", getAgvId())
            .append("agvLoc", getAgvLoc())
        .toString();
        }
}


















